gnutls_x509_crt_export(3)

NAME
gnutls_x509_crt_export - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_export(gnutls_x509_crt_t cert, gnutls_x509_crt_fmt_t format, void * output_data, size_t * output_data_size);

ARGUMENTS

gnutls_x509_crt_t cert
    Holds the certificate

gnutls_x509_crt_fmt_t format
    the format of output params. One of PEM or DER.

void * output_data
    will contain a certificate PEM or DER encoded

size_t * output_data_size
    holds the size of output_data (and will be replaced by the actual size of parameters)

DESCRIPTION
This function will export the certificate to DER or PEM format. If the buffer provided is not long enough to hold the output, then *output_data_size is updated and GNUTLS_E_SHORT_MEMORY_BUFFER will be returned. If the structure is PEM encoded, it will have a header of "BEGIN CERTIFICATE".

RETURN VALUE
In case of failure a negative value will be returned, and 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.